summaryrefslogtreecommitdiffstats
path: root/bin/sync-openbsd-cvs-repo.sh
diff options
context:
space:
mode:
authorsyncer <root@plopp.spline.de>2012-01-11 18:17:09 +0100
committersyncer <root@plopp.spline.de>2012-01-11 18:18:29 +0100
commit657d1fc484fa0b21b979525a92ace5c9e6f63da2 (patch)
treef395b3a6f1993f4b5c4b46b8bebf04f730987739 /bin/sync-openbsd-cvs-repo.sh
downloadmirror-sync-657d1fc484fa0b21b979525a92ace5c9e6f63da2.tar.gz
mirror-sync-657d1fc484fa0b21b979525a92ace5c9e6f63da2.tar.bz2
mirror-sync-657d1fc484fa0b21b979525a92ace5c9e6f63da2.zip
inital import
Diffstat (limited to 'bin/sync-openbsd-cvs-repo.sh')
-rwxr-xr-xbin/sync-openbsd-cvs-repo.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/bin/sync-openbsd-cvs-repo.sh b/bin/sync-openbsd-cvs-repo.sh
new file mode 100755
index 0000000..cc546ff
--- /dev/null
+++ b/bin/sync-openbsd-cvs-repo.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+# update openbsd anoncvscvs mirror (scripted by stsp)
+
+#set -e
+
+#logger "`basename $0`: invoked `date`"
+
+CVS_ROOTDIR=/raid/anoncvs/OpenBSD/cvs
+LOCKFILE=/tmp/`basename ${0}`.lock
+
+lockfile -r 3 ${LOCKFILE} || exit 1
+(cd $CVS_ROOTDIR && \
+ rsync -q -a --recursive --times --links --hard-links --delete \
+ --exclude=CVSROOT/history \
+ --exclude=CVSROOT/writers \
+ --exclude=CVSROOT/readers \
+ --exclude=CVSROOT/passwd \
+ rsync://rsync.de.openbsd.org/OpenBSD-CVS . )
+
+# we are using our own readers, writers and passwd files.
+cp /dev/null $CVS_ROOTDIR/CVSROOT/writers
+echo "anoncvs" > $CVS_ROOTDIR/CVSROOT/readers
+echo "anoncvs:AHDysQkJIubEc" > $CVS_ROOTDIR/CVSROOT/passwd
+echo "" > $CVS_ROOTDIR/CVSROOT/config
+
+# One line in the modules file breaks checkouts,
+# due to debian bug #226888. Comment it out. --stsp
+sed -i -e 's/\(^www.*-i.*\)/#\1/' $CVS_ROOTDIR/CVSROOT/modules
+
+rm -f ${LOCKFILE}